Subject: Re: AGPGART driver for ArticiaS - ioremap() problem

From: "Gerhard Pircher" <[email-masked]>
Date: Sat, 21 Jan 2006 02:59:15 +0100 (MET)

> --- Ursprüngliche Nachricht ---
> Von: Benjamin Herrenschmidt <[email-masked]>
> An: Gerhard Pircher <[email-masked]>
> Kopie: [email-masked], [email-masked]
> Betreff: Re: AGPGART driver for ArticiaS - ioremap() problem
> Datum: Sat, 21 Jan 2006 10:00:16 +1100
> 
> On Fri, 2006-01-20 at 12:16 +0100, Gerhard Pircher wrote:
> 
> > > Nope... look at drivers/pci/setup-res.c how it does for allocating
> > > new resources for PCI devices.
> > I guess you mean something like this code snipped from the
> > efficeon-agp.c source code (with pci_assign_resource()):
> 
> Something around those lines... you will probably need to use lower
> level routines, not pci_* as the AGP aperture isn't generally a BAR.
Yes, I see. :( The code mostly allocates the resources for the AGPGART
driver beyond the real memory space, thus preventing the X server to work.
Sometimes the resource is also mapped to where the resource of the graphic
card resides (address 0x88000000, compare with the included iomem file).

> > BTW: I took a look at the PCI resources list of the AmigaOne and found
> > out that the resources of the AGP graphic card are allocated to bus 0
> > (PCI only). IMHO their allocation should be assigned to bus 1 (AGP) (at 
> > least this is the case on x86!?), so I think this should be fixed. Is
> > my assumption correct?
> 
> Hrm... sounds weird, can you send me the output of lspci -vv,
> cat /proc/iomem and cat /prop/ioports ?
Please take a look to the attachments. But the allocation seems to be
different now! Strange!? At least the AGPGART driver is not allocated to bus
1.

Thanks!

Gerhard

-- 
Lust, ein paar Euro nebenbei zu verdienen? Ohne Kosten, ohne Risiko!
Satte Provisionen für GMX Partner: http://www.gmx.net/de/go/partner